import { FC } from 'react'
import ContextBlueTooth from "@/use/contextBlueTooth"
import { Provider } from 'react-redux'
import configStore from './store'
import './app.scss'
import Taro, { useDidShow} from '@tarojs/taro'
import { shareShop } from './common/util'

const store = configStore()
const App:FC = (params) => {

  Taro.showShareMenu({
    withShareTicket: true
  })

  //分享
  shareShop()

  return (
        <ContextBlueTooth>
          <Provider store={store}>
            {params.children}
          </Provider>
        </ContextBlueTooth>
  )
}

export default App